Skip to content
GuidesBlogPlaygroundDashboard

Elevation

Look up elevation at one or more points
elevation.lookup(**kwargs) -> ElevationLookupResult { geometry, properties, type }
GET/api/v1/elevation
Look up elevation at one or more points
elevation.lookup_post(**kwargs) -> ElevationLookupResult { geometry, properties, type }
POST/api/v1/elevation
Look up elevation for multiple coordinates
elevation.batch(**kwargs) -> ElevationBatchResult { features, type }
POST/api/v1/elevation/batch
Elevation profile along coordinates
elevation.profile(**kwargs) -> ElevationProfileResult { geometry, properties, type }
POST/api/v1/elevation/profile
ModelsExpand Collapse
class ElevationBatchResult { features, type }

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates. Order matches the input coordinates array.

features: Array[ElevationLookupResult { geometry, properties, type } ]

Elevation results in the same order as input coordinates

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array[Float] | Array[Array[Float]] | Array[Array[Array[Float]]] | Array[Array[Array[Array[Float]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array[Float]

[longitude, latitude] or [longitude, latitude, elevation]

Array[Array[Float]]

Array of [lng, lat] positions

Array[Array[Array[Float]]]

Array of linear rings / line strings

Array[Array[Array[Array[Float]]]]

Array of polygons

type: :Point | :LineString | :Polygon | 3 more

Geometry type

One of the following:
:Point
:LineString
:Polygon
:MultiPoint
:MultiLineString
:MultiPolygon
properties: { elevation_m}
elevation_m: Float

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: :Feature
type: :FeatureCollection
class ElevationLookupResult { geometry, properties, type }

GeoJSON Point Feature with a 3D coordinate [lng, lat, elevation] per RFC 7946 §3.1.1. The elevation is also available in properties.elevation_m for convenience.

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array[Float] | Array[Array[Float]] | Array[Array[Array[Float]]] | Array[Array[Array[Array[Float]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array[Float]

[longitude, latitude] or [longitude, latitude, elevation]

Array[Array[Float]]

Array of [lng, lat] positions

Array[Array[Array[Float]]]

Array of linear rings / line strings

Array[Array[Array[Array[Float]]]]

Array of polygons

type: :Point | :LineString | :Polygon | 3 more

Geometry type

One of the following:
:Point
:LineString
:Polygon
:MultiPoint
:MultiLineString
:MultiPolygon
properties: { elevation_m}
elevation_m: Float

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: :Feature
class ElevationProfileRequest { coordinates }

Request body for elevation profile along a path. Provide at least 2 coordinates defining the path. Maximum 50 coordinates per request.

coordinates: Array[{ lat, lng}]

Path coordinates in order of travel (min 2, max 50)

lat: Float

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: Float

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
class ElevationProfileResult { geometry, properties, type }

GeoJSON LineString Feature with 3D coordinates [lng, lat, elevation] representing the elevation profile along the input path. Summary statistics are in properties.

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array[Float] | Array[Array[Float]] | Array[Array[Array[Float]]] | Array[Array[Array[Array[Float]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array[Float]

[longitude, latitude] or [longitude, latitude, elevation]

Array[Array[Float]]

Array of [lng, lat] positions

Array[Array[Array[Float]]]

Array of linear rings / line strings

Array[Array[Array[Array[Float]]]]

Array of polygons

type: :Point | :LineString | :Polygon | 3 more

Geometry type

One of the following:
:Point
:LineString
:Polygon
:MultiPoint
:MultiLineString
:MultiPolygon
properties: { avg_elevation_m, max_elevation_m, min_elevation_m, 2 more}

Elevation profile summary statistics

avg_elevation_m: Float

Average elevation along the profile in meters

max_elevation_m: Float

Maximum elevation along the profile in meters

min_elevation_m: Float

Minimum elevation along the profile in meters

total_ascent_m: Float

Total cumulative elevation gain in meters

total_descent_m: Float

Total cumulative elevation loss in meters

type: :Feature